<wo:form>
  <wo:AjaxObserveField updateContainerID = "$choixAffichageHeuresId" fullSubmit = "true">
    <wo:radioButton id = "choixHPresentiel" name = "choixAffichage" checked = "$isAffichageHeuresPresentielles" />
    en heures pr&eacute;sentielles 
    <wo:radioButton id = "choixHETD" name = "choixAffichage" checked = "$isAffichageHeuresHETD" />en HETD<br />
  </wo:AjaxObserveField>
  <wo:AjaxUpdateContainer id = "$choixAffichageHeuresId">
    <wo:CktlAjaxSimpleTableView id = "$tableViewId" displayGroup = "$displayGroup" item = "$currentItem" useFixedHeader = "false" onSelect = "$updateListePaiement" updateContainerID = "$buttonsContainerId" triMultiColonneEnabled = "true" >
      <wo:CktlAjaxSimpleTableViewHeader>
         <wo:if condition = "$estPasOngletTous" negate="true">
        <wo:CktlAjaxSimpleTableViewColumn rowspan = "2" label = "$session.localizer.FicheService.TableViews.StructureDemande" />
        </wo:if>
        <wo:CktlAjaxSimpleTableViewColumn rowspan = "2" label = "$session.localizer.OffreFormation.TableViews.ColonneComposante" />
        <wo:CktlAjaxSimpleTableViewColumn rowspan = "2" label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneAP" sortKeypath="affichageEnseignement" />
        <wo:CktlAjaxSimpleTableViewColumn rowspan = "2" label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneType" sortKeypath = "composantAP.typeAP.code"/>
        <wo:if condition = "$isCircuitDefinitif">
          <wo:if condition = "$isAffichageHeuresPresentielles"> <wo:CktlAjaxSimpleTableViewColumn colspan = "5" label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneHeuresPresentielles" class = "center" /> </wo:if>
          <wo:if condition = "$isAffichageHeuresHETD"> <wo:CktlAjaxSimpleTableViewColumn colspan = "5" label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneHeuresHETD" class = "center" /> </wo:if>
        </wo:if>
        <wo:else>
          <wo:if condition = "$isAffichageHeuresPresentielles"> <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneHeuresPresentielles" /> </wo:if>
          <wo:if condition = "$isAffichageHeuresHETD"> <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneHeuresHETD" /> </wo:if>
        </wo:else>
        <wo:CktlAjaxSimpleTableViewColumn rowspan = "2" label = "Etat" />
      </wo:CktlAjaxSimpleTableViewHeader>
      <wo:CktlAjaxSimpleTableViewHeader2>
        <wo:conditional condition = "$isCircuitDefinitif">
          <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonnePrevu" />
          <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneRealise" />
          <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneAPayer" />
          <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonnePayees" />
          <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneResteAPayer" />
        </wo:conditional>
      </wo:CktlAjaxSimpleTableViewHeader2>
      <wo:CktlAjaxSimpleTableViewBody>
        <wo:if condition = "$afficherLigneRepartition">
          <wo:if condition = "$estPasOngletTous" negate="true">
          	<td align = "left"><wo:string value = "$currentItem.toRepartService.toStructure.llStructure" /></td>
          </wo:if>
          <td align = "left"><wo:string value = "$composanteParentAP" /></td>
          <td align = "left"><wo:string value = "$currentItem.affichageEnseignement" /></td>
          <td align = "left"><wo:string value = "$currentItem.composantAP.typeAP.code" /></td>
          <wo:if condition = "$isCircuitDefinitif">
            <wo:if condition = "$isAffichageHeuresPresentielles">
              <td class = "cktl-right-align"> <wo:CktlNumber value = "$currentItem.heuresPrevues" /> </td>
              <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresRealisees" /> </td>
              <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresAPayer" /> </td>
              <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresPayees" /> </td>
              <td class = "cktl-right-align peche-colored-number"><wo:CktlNumber value = "$deltaHeuresPayeEtRealisePresentiel" /> </td>
            </wo:if>
            <wo:if condition = "$isAffichageHeuresHETD">
              <td class = "cktl-right-align"><wo:CktlNumber value = "$heuresPrevuesHETD" numberformat = "$app3DecimalesNumberFormat"/> </td>
              <td class = "cktl-right-align"><wo:CktlNumber value = "$heuresRealiseesHETD" numberformat = "$app3DecimalesNumberFormat"/> </td>
              <td class = "cktl-right-align"><wo:CktlNumber value = "$heuresAPayerHETD" numberformat = "$app3DecimalesNumberFormat"/> </td>
              <td class = "cktl-right-align"><wo:CktlNumber value = "$heuresPayeesHETD" numberformat = "$app3DecimalesNumberFormat"/> </td>
              <td class = "cktl-right-align peche-colored-number"><wo:CktlNumber value = "$deltaHeuresPayeEtRealiseHETD" numberformat = "$app3DecimalesNumberFormat"/> </td>
            </wo:if>
          </wo:if>
          <wo:else>
            <wo:if condition = "$isAffichageHeuresPresentielles">
              <td class = "cktl-right-align"> <wo:CktlNumber value = "$currentItem.heuresPrevues" /> </td>
            </wo:if>
            <wo:if condition = "$isAffichageHeuresHETD">
              <td class = "cktl-right-align"><wo:CktlNumber value = "$heuresPrevuesHETD" numberformat = "$app3DecimalesNumberFormat"/> </td>
            </wo:if>
          </wo:else>
           <td align = "left"><wo:string value = "$etatRepartitionService" /> </td>
        </wo:if>
      </wo:CktlAjaxSimpleTableViewBody>
      <wo:CktlAjaxSimpleTableViewFooter>
        <wo:if condition = "$estPasOngletTous" negate="true">
          <td colspan = "4" style = "background-color : #FFFCF8;"> </td>
        </wo:if>
        <wo:else>
          <td colspan = "3" style = "background-color : #FFFCF8;"> </td>
        </wo:else>  
        <wo:if condition = "$isCircuitDefinitif">          
          <wo:if condition = "$isAffichageHeuresPresentielles">
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPrevues" /></td>
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresRealisees" /></td>
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresAPayer" /></td>
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPayees" /></td>
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresRestantes" /></td>
          </wo:if>
          <wo:else>
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPrevuesHETD" numberformat = "$app3DecimalesNumberFormat"/></td>
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresRealiseesHETD" numberformat = "$app3DecimalesNumberFormat"/></td>
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresAPayerHETD" numberformat = "$app3DecimalesNumberFormat"/></td>
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPayeesHETD" numberformat = "$app3DecimalesNumberFormat"/></td>
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresRestantesHETD" numberformat = "$app3DecimalesNumberFormat"/></td>
          </wo:else>
        </wo:if>
        <wo:else>         
          <wo:if condition = "$isAffichageHeuresPresentielles">
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPrevues" /></td>
          </wo:if>
          <wo:else>
            <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPrevuesHETD" numberformat = "$app3DecimalesNumberFormat"/></td>
          </wo:else>
        </wo:else>
        <td style = "background-color : #FFFCF8;"> </td>
      </wo:CktlAjaxSimpleTableViewFooter>
    </wo:CktlAjaxSimpleTableView>
    <wo:AjaxUpdateContainer id = "$buttonsContainerId">
      <div>
        <wo:if condition = "$isCircuitDefinitif">
          <wo:AjaxUpdateContainer id = "listePaiementRepartitionServiceId" style = "display: inline-block;">
            <wo:if condition = "$isHeuresPayeesOuAPayerNonNull"> <wo:ListePaiementParRepartition serviceDetail = "$selectedObject" parentAPSelected = "$affichageEnseignement" /> </wo:if>
          </wo:AjaxUpdateContainer>
        </wo:if>
        <div style = "display: inline-block;">
          <wo:if condition = "$isCommentairePresent">
            <label><wo:string value = "$session.localizer.ServiceForm.commentaire" /> : </label>
            <br />
            <wo:text value = "$selectedObject.commentaire" cols = "10" style = "border-color:#BBD2E1; background-color: #F5FFFA; color:black;" disabled = "true" />
          </wo:if>
        </div>
      </div>
      <div>
        <wo:CktlSubmitButton type = "add" action = "$ajouterAction" text = "$session.localizer.FicheServiceVacataire.Repartition.Ajouter" disabled = "$boutonsActifsRepartitionService" />
        <wo:CktlSubmitButton type = "edit" action = "$modifierAction" text = "$session.localizer.FicheServiceVacataire.Repartition.Modifier" disabled = "$boutonModifierActifRepartitionService" />
        <wo:CktlAjaxButton type = "delete" action = "$deleteAction" text = "$session.localizer.FicheServiceVacataire.Repartition.Supprimer" disabled = "$boutonSupprimerActifRepartitionService" updateContainerID = "$choixAffichageHeuresId" onClickBefore = "$onClickBefore" />
      </div>
    </wo:AjaxUpdateContainer>
  </wo:AjaxUpdateContainer>
</wo:form>